var sProductUrl;

var panelProductDetails = {
	layout: 'card',
	id: 'panel_product_details',
	items: [
		{
			xtype: 'toolbar',
			id: 'product_details_toolbar',
			docked: 'top',
			title: '',
			items: [
				{
					xtype: 'button',
					text: 'Terug',
					ui: 'back',
					handler: function()
					{
						setPanel('panel_products');
					}
				}
			]
		},
		{
			xtype: 'container',
			id:'container_details_wrapper',
			layout: 'vbox',
			scrollable: {
				direction: 'vertical',
				directionLock: true
			},
			items:[
				{
					xtype: 'container',
					id: 'container_details',
					//styleHtmlContent: true,
					html: '<div id="product_details"></div>',
				},
				{
					xtype:'button',
					margin:10,
					text:'Bestellen',
					handler:function()
					{
						showChildbrowser(sProductUrl);
					}
				}
			]
		}

	],
	updatePanel: function(sTitle, sProductId, bSampleSet)
	{
		mask.show();
		$('#product_details').html('');

		if (sTitle.length > 13)
		{
			sTitle = $.trim(sTitle.substring(0, 11))+'...';
		}

		if (bSampleSet == 1 || bSampleSet == true)
		{
			bSampleSet = '1';
		}
		else
		{
			bSampleSet = '0';
		}

		Ext.getCmp('product_details_toolbar').setTitle(sTitle);

		Ext.Ajax.request({
			url: __server_url+'/catalog/details.json',
			method: 'GET',
			success: function(response)
			{
				var sHtml = '';
				var oResponse = Ext.decode(response.responseText);
				var oDetails = oResponse.data;

				if (oDetails.product_url)
				{
					sProductUrl = oDetails.product_url;
				}
				else
				{
					sProductUrl = 'https://www.123lens.nl/'+sProductsSection+'/'+oDetails.productkey;
				}

				sHtml += '	<h1>' + cleanString(oDetails.title) + '</h1> \
							<table width="100%"> \
								<tr> \
									<td align="left" valign="top" width="140"> \
										<img src="' + fixThumb(oDetails.photo) + '" width="125" height="62"> \
									</td> \
									<td align="left" valign="top"> \
										<table width="100%">';

				if (bSampleSet == '1' && oDetails.trial_price)
				{
					sHtml += '	<tr> \
									<td align="left" valign="top">Proefset:</td> \
									<td align="right" valign="top">' + fixPrice(oDetails.trial_price) + '</td> \
								</tr>';
				}
				else
				{
					for (var i=0; i<oDetails.labels.length; i++)
					{
						sHtml += '	<tr> \
										<td colspan="2" align="left" valign="top"> \
											<span class="boxlabel">' + oDetails.labels[i].boxlabel + '</span> \
										</td> \
									</tr> \
									<tr> \
										<td align="left" valign="top">Elke eerste:</td> \
										<td align="right" valign="top">' + fixPrice(oDetails.labels[i].price1) + '</td> \
									</tr> \
									<tr> \
										<td align="left" valign="top">Elke volgende:</td> \
										<td align="right" valign="top">' + fixPrice(oDetails.labels[i].price2) + '</td> \
									</tr> \
									<tr> \
										<td colspan="2">&nbsp;</td> \
									</tr>';
					}
				}

				sHtml += '						</table> \
											</td> \
										</tr> \
									</td> \
								</tr> \
							</table>';

				sHtml += '<p>'+cleanString(oDetails.description,'<br>')+'</p>';

				//sHtml += cleanString(oDetails.description, '<h3><br><ul><li>').replace(/<h3>/gi, '<h2>').replace(/<\/h3>/gi, '</h2><p>') + '</p>';

				$('#product_details').html(sHtml);

				mask.hide();
			},
			failure: function()
			{
				mask.hide();
				showMsg('Er is een fout opgetreden bij het ophalen van de productdetails.');
			},
			headers:
			{
				'X-API-KEY': __api_key
			},
			params:
			{
				product_id: sProductId,
				proefset: bSampleSet
			}
		});
	}

};