var sProductsTitle;

var panelProducts = {
	layout: 'card',
	id: 'panel_products',

	items: [
		{
			xtype: 'toolbar',
			id: 'product_toolbar',
			docked: 'top',
			title: '',
			items: [
				{
					xtype: 'button',
					text: 'Terug',
					ui: 'back',
					handler: function()
					{
						setPanel('panel_home');
					}
				}
			]
		},
		{
			xtype: 'list',
			grouped: true,
			id: 'product_list',
			flex: 1,
			loadingText:'Laden...',
			emptyText: '<div class="product_item empty_list"><h1>Geen producten gevonden</h1></div>',
			itemTpl: '<div class="product_item"><table width="100%"><tr><td align="left" valign="top" width="140"><img src="{thumb:fixThumb}" width="125" height="125"></td><td align="left" valign="top"><h1>{title}</h1><p>{intro:cleanString}<br><br>Al vanaf {cheapest:fixPrice}</p></td></tr></table></div>',
			store: ProductsStore,
			disableSelection: true,
			listeners:{
				itemtap: function(dataview, index, target, record, e)
				{
					var oRow = ProductsStore.getById(record.getId());
					var sTitle = oRow.get('title');
					var sProductId = oRow.get('product_id');
					var bSampleSet = (oRow.get('trial') || 0);

					panelProductDetails.updatePanel(sTitle, sProductId, bSampleSet);
					setPanel('panel_product_details');
				}
			}
		}
	],
	updatePanel: function(sSection, sTitle)
	{
		sProductsSection = sSection;

		if (sTitle.length > 14)
		{
			sTitle = $.trim(sTitle.substring(0, 12)) + '...';
		}

		Ext.getCmp('product_toolbar').setTitle(sTitle);
		ProductsStore.removeAll();
		ProductsStore.load({params:{section:sSection}});
	}

};