Ext.define('Products', {
	extend: 'Ext.data.Model',
	config:
	{
		fields:
		[
			{name:'product_id', type:'string'},
			{name:'manufacturer', type:'string'},
			{name:'title', type:'string'},
			{name:'intro', type:'string'},
			{name:'thumb', type:'string'},
			{name:'cheapest', type:'string'},
			{name:'can_order', type:'boolean'},
			{name:'sequence', type:'integer'},
			{name:'trial', type:'integer'}
		]
	}
});

var ProductsStore = Ext.create('Ext.data.Store', {
	model:'Products',
	autoLoad:false,
	requires: 'Ext.ux.proxy.AjaxCache',
	filters: {
		property: 'can_order',
		value: true
	},
	sorters: ['manufacturer'],
	groupField:'manufacturer',
	groupDir: 'ASC',
	proxy: {
		type: 'ajaxcache',
		url: __server_url + '/catalog/category.json',
		cacheKey:'123lens_cache_products',
		//cacheTimeout:0,
		timeout: 30000,
		noCache: false,
		headers:{'X-API-KEY': __api_key},
		reader:{
			type: 'json',
			rootProperty: 'data',
			successProperty: 'success'
		}
	}
});